package org.xyzh.common.dto.system;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 字典类型表
 * @filename TbSysDictType.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbSysDictType extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 字典类型
     */
    private String dictType;
    
    /**
     * @description 字典名称
     */
    private String dictName;
    
    /**
     * @description 描述
     */
    private String description;
    
    /**
     * @description 状态（0禁用 1启用）
     */
    private Integer status;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysDictType{" +
                "id=" + getID() +
                ", dictType='" + dictType + '\'' +
                ", dictName='" + dictName + '\'' +
                ", status=" + status +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
